VERSION 5.00
Object = "{54850C51-14EA-4470-A5E4-8C5DB32DC853}#1.0#0"; "vsprint8.ocx"
Object = "{1BCC7098-34C1-4749-B1A3-6C109878B38F}#1.0#0"; "vspdf8.ocx"
Begin VB.Form Form1 
   Caption         =   "VSPrinter: Multi-row table headers"
   ClientHeight    =   7245
   ClientLeft      =   1800
   ClientTop       =   1545
   ClientWidth     =   6765
   LinkTopic       =   "Form1"
   ScaleHeight     =   7245
   ScaleWidth      =   6765
   Begin VB.CommandButton Command2 
      Caption         =   "?"
      Height          =   390
      Left            =   2880
      TabIndex        =   2
      Top             =   120
      Width           =   375
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Show the document and Save the Pdf"
      Height          =   390
      Left            =   45
      TabIndex        =   1
      Top             =   45
      Width           =   2610
   End
   Begin VSPrinter8LibCtl.VSPrinter VSPrinter1 
      Align           =   2  'Align Bottom
      Height          =   6735
      Left            =   0
      TabIndex        =   0
      Top             =   510
      Width           =   6765
      _cx             =   11933
      _cy             =   11880
      Appearance      =   1
      BorderStyle     =   1
      Enabled         =   -1  'True
      MousePointer    =   0
      BackColor       =   -2147483643
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   11.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      BeginProperty HdrFont {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Courier New"
         Size            =   14.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      AutoRTF         =   -1  'True
      Preview         =   -1  'True
      DefaultDevice   =   0   'False
      PhysicalPage    =   -1  'True
      AbortWindow     =   -1  'True
      AbortWindowPos  =   0
      AbortCaption    =   "Printing..."
      AbortTextButton =   "Cancel"
      AbortTextDevice =   "on the %s on %s"
      AbortTextPage   =   "Now printing Page %d of"
      FileName        =   ""
      MarginLeft      =   1440
      MarginTop       =   1440
      MarginRight     =   1440
      MarginBottom    =   1440
      MarginHeader    =   0
      MarginFooter    =   0
      IndentLeft      =   0
      IndentRight     =   0
      IndentFirst     =   0
      IndentTab       =   720
      SpaceBefore     =   0
      SpaceAfter      =   0
      LineSpacing     =   100
      Columns         =   1
      ColumnSpacing   =   180
      ShowGuides      =   2
      LargeChangeHorz =   300
      LargeChangeVert =   300
      SmallChangeHorz =   30
      SmallChangeVert =   30
      Track           =   0   'False
      ProportionalBars=   -1  'True
      Zoom            =   37.405303030303
      ZoomMode        =   3
      ZoomMax         =   400
      ZoomMin         =   10
      ZoomStep        =   5
      EmptyColor      =   -2147483636
      TextColor       =   0
      HdrColor        =   0
      BrushColor      =   0
      BrushStyle      =   0
      PenColor        =   0
      PenStyle        =   0
      PenWidth        =   0
      PageBorder      =   0
      Header          =   ""
      Footer          =   ""
      TableSep        =   "|;"
      TableBorder     =   7
      TablePen        =   0
      TablePenLR      =   0
      TablePenTB      =   0
      NavBar          =   3
      NavBarColor     =   -2147483633
      ExportFormat    =   0
      URL             =   ""
      Navigation      =   3
      NavBarMenuText  =   "Whole &Page|Page &Width|&Two Pages|Thumb&nail"
      AutoLinkNavigate=   0   'False
      AccessibleName  =   ""
      AccessibleDescription=   ""
      AccessibleValue =   ""
      AccessibleRole  =   9
   End
   Begin VSPDF8LibCtl.VSPDF8 VSPDF81 
      Left            =   8160
      Top             =   6120
      Author          =   ""
      Creator         =   ""
      Title           =   ""
      Subject         =   ""
      Keywords        =   ""
      Compress        =   3
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' flag to indicate we're printing the main table
Dim bPrintingTable%

Private Sub Command1_Click()
With VSPrinter1
    .StartDoc
    
        ' print regular text
        .Paragraph = "This is a table with a multi-line header." & vbCrLf
        
        ' render the first header (others at NewPage event)
        RenderHeader
        
        ' build the table
        .StartTable
        .TableCell(tcCols) = 4
        .TableCell(tcRows) = 100
        .TableCell(tcColWidth) = 1440
        Dim r%, c%
        For r = 1 To 100
            For c = 1 To 4
                .TableCell(tcText, r, c) = "R" & r & " C" & c
            Next c
        Next r
        
        ' render the table
        bPrintingTable = True
        .EndTable
        bPrintingTable = False
    .EndDoc
    VSPDF81.ConvertDocument VSPrinter1, "Test.pdf"
End With
End Sub

Private Sub VSPrinter1_NewPage()
    If bPrintingTable Then RenderHeader
End Sub

Private Sub RenderHeader()
    With VSPrinter1
        .FontBold = True
        .TextColor = RGB(255, 255, 255)
        .AddTable "^2880|^2880", "", "Cols 1 and 2|Cols 3 and 4", , RGB(50, 50, 50)
        .TextColor = 0
        .AddTable "^1440|^1440|^1440|^1440", "", "Col 1|Col 2|Col 3|Col 4;AA|BB|CC|DD", , RGB(100, 100, 250)
        .FontBold = False
    End With
End Sub

Private Sub Form_Resize()
    On Error Resume Next
    VSPrinter1.Height = Me.ScaleHeight - 500
End Sub

Private Sub Command2_Click()
    Dim s$
    On Error Resume Next
    Open App.Path & "\readme.txt" For Binary As #1
    s = Input(LOF(1), 1)
    Close #1
    If Err > 0 Then s = "Sorry, can't find Readme.txt."
    MsgBox s, vbInformation, "Readme.txt"
    On Error GoTo 0
End Sub


